Bug 1728987 - Cannot run RHEV-toolsSetup.exe in EFI Windows systems
Summary: Cannot run RHEV-toolsSetup.exe in EFI Windows systems
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhv-guest-tools-iso
Version: 4.3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Gal Zaidman
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1745298
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 07:16 UTC by Juan Orti Alcaine
Modified: 2020-01-09 10:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Integration
Target Upstream Version:
pmatyas: testing_plan_complete+


Attachments (Terms of Use)
Error message (52.80 KB, image/png)
2019-07-11 07:16 UTC, Juan Orti Alcaine
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3351061 None None Installation of RHEV Guest Tools in Windows guest fails 2019-07-11 07:16:31 UTC

Description Juan Orti Alcaine 2019-07-11 07:16:32 UTC
Created attachment 1589315 [details]
Error message

Description of problem:
When running the guest tool installer in a Windows 10 with EFI, the installer fails with the error:

"Installation of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Installation aborted."

Version-Release number of selected component (if applicable):
rhv-guest-tools-iso-4.3-8.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install Windows 10 x64 on a EFI VM
2. Mount RHV-toolsSetup_4.3_8.iso
3. Run RHEV-toolsSetup.exe

Actual results:

"Installation of RHEV-Tools on the Guest should be performed only when running on RHEL 6 type Host (RHEV-H or RHEL). Installation aborted."

Expected results:
Drivers and guest agent installed

Additional info:
This is probably because the installer is checking for the "Seabios" string in the BIOS model, but this is a EFI system.

Comment 1 Michal Skrivanek 2019-07-12 04:15:45 UTC
UEFI is tech preview in 4.3, please use msi installers to install the qemu guest agent and drivers individually

Comment 2 Gal Zaidman 2019-08-26 09:17:17 UTC
Added dependency to 1745324 since on 4.4 we will have a new installer that will fix that issue

Comment 3 Daniel Gur 2019-08-28 13:15:05 UTC
sync2jira

Comment 4 Daniel Gur 2019-08-28 13:20:08 UTC
sync2jira

Comment 5 Sandro Bonazzola 2020-01-08 14:12:51 UTC
The new installer has been added to virtio-win for RHEL 8.1.1 through bug #1745298.
I'm moving this to ON_QA for verifying the new installer on Q35/EFI guests running Windows 10.
Please note that despite the component for this bug is rhv-guest-tools-iso, the component won't be shipped in RHV 4.4 and Virtio-Win ISO from RHEL 8.1.1 must be used instead.
If it would be considered better for tracking, I'm ok with having this bug closed with resolution cantfix and having a new one marked as test only for virtio-win installer

Comment 6 Petr Matyáš 2020-01-09 10:52:32 UTC
Verified with virtio-win-1.9.10.iso


Note You need to log in before you can comment on or make changes to this bug.